The site you requested may not be relevant in your area.

Wednesday, May 16, 2018

Urgent update required for your payment processing solution

As your payment provider we are committed to ensuring that our customers comply with industry security requirements for the processing of all types of card transactions.  We want to let you know about a critical deadline that is approaching fast.

In order to be compliant with new security requirements you must take action to update your terminal by 31 May 2018.  If your terminal has already been updated, you don’t need to do anything further.  Please note that you are bound by your terms of service to update your terminals as directed by Elavon.

 

What is changing?

 

Transport Layer Security (TLS) is used to establish a secure communications channel between any two systems taking and accepting payments.  It is used to authenticate one or both systems, and protect the confidentiality and integrity of information that passes between systems. 

As of 1 June 2018, we will start migrating to the new TLS v1.2 encryption standards, and will remove support for earlier versions of Secure Socket Layer (SSL) and TLS.  Therefore all merchants providing card processing services (such as Point of Sale (POS) or online payment gateways) must take the necessary steps to remove these old protocols from your cardholder data environment to ensure your customer data is secure.

 

What happens if you don’t update your terminal to TLS1.2?

 

In the event that your POS terminals are not updated with the new protocol by 31 May 2018, your card terminals will encounter errors and you will be unable to process transactions.

Please note customers using Public Switched Telephone Network (PSTN) dial-up connections will not be affected.

Important dates for your diary

 

Thursday 31 May 2018 - last day to update to TLS 1.2

Friday 1 June 2018 – All older protocols including SSL, TLS 1.0 and TLS 1.1 will be disabled

If you are already updated to TLS1.2 your service will be unaffected by these changes.

What do you need to do?

 

We encourage you to perform this migration as soon as possible, well in advance of the deadline of 31 May 2018, to minimise any impact on your business.

Please contact your terminal provider to confirm migration to TLS1.2.   If no update is available from your provider, please contact us immediately and we can discuss switching to a new solution.

 

Back To Latest News

Leaving?

By selecting "Continue," you will leave Elavon and enter a third party Web site. Elavon is not responsible for the content of, or products and services provided by   , nor does it guarantee the system availability or accuracy of information contained in the site. This Web site is not controlled by Elavon. Please note that the third party site may have privacy and information security policies that differ from those of Elavon.